#!/usr/bin/perl
#

BEGIN { push @INC, '/usr/local/bin'; }
use integer;
use Getopt::Long;
use HDLservice;
use HDLsystem;

# 排他ロックの取得
$sys = HDLsystem->new( write => 1, exclusive => 1 );
die "cannot open conf file\n" if !defined $sys;

# 引数の取得
GetOptions ( 'getservice!', 'update!', 'setversion:s' );

if ( $opt_getservice ) {
    # 現在有効なサービスの取得
    $serv = HDLservice->new();
    die "cannot open conf file\n" if !defined $serv;

    @opts = ();
    @services = keys %{$serv->get()};

    # 値の表示
    foreach $k ( @services ) {
	printf "$k=%s\n", $serv->get ( $k );
    }
    undef $serv;
    undef $sys;
    exit 0;
}

if ( $opt_setversion ) {
    $sys->set( version => ${'opt_setversion'} );
    $sys->commit();
    undef $sys;
    exit 0;
}

if ( $opt_update ) {
    # アップデート処理
    undef $sys;
    exit 0;
}

undef $sys;
exit 0;


